Bug 142594 - CAN-2004-1017 io_edgeport driver overflows
CAN-2004-1017 io_edgeport driver overflows
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
2.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Paradis
Brian Brock
impact=moderate,public=20041126
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-10 15:05 EST by Josh Bressers
Modified: 2013-08-05 21:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-21 10:37:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2004-12-10 15:05:51 EST
bug 128916 outlines problems with the io_edgeport driver.  This could
potentially allow a USB dongle to crash the kernel or gain privileges
on insertion.

A tested patch for this issue is available:
https://bugzilla.redhat.com/bugzilla/attachment.cgi?id=107493&action=view
Comment 1 Jim Paradis 2004-12-21 13:41:32 EST
A fix for this problem has just been committed to the RHEL2.1 E7
patch pool (in kernel version 2.4.9-e.58)
Comment 2 Josh Bressers 2005-01-21 10:37:26 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-016.html

Note You need to log in before you can comment on or make changes to this bug.